<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TestResult (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TestResult (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/testing/TestReport.html" title="class in org.gradle.api.tasks.testing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/testing/TestResult.ResultType.html" title="enum in org.gradle.api.tasks.testing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/testing/TestResult.html" target="_top">Frames</a></li>
<li><a href="TestResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.testing</div>
<h2 title="Interface TestResult" class="title">Interface TestResult</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">TestResult</span></pre>
<div class="block">Describes a test result.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.ResultType.html" title="enum in org.gradle.api.tasks.testing">TestResult.ResultType</a></strong></code>
<div class="block">The final status of a test.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getEndTime()">getEndTime</a></strong>()</code>
<div class="block">Returns the time when this test completed execution.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getException()">getException</a></strong>()</code>
<div class="block">If the test failed with an exception, this will be the exception.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getExceptions()">getExceptions</a></strong>()</code>
<div class="block">If the test failed with any exceptions, this will contain the exceptions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getFailedTestCount()">getFailedTestCount</a></strong>()</code>
<div class="block">Returns the number of failed atomic tests executed for this test.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/testing/TestResult.ResultType.html" title="enum in org.gradle.api.tasks.testing">TestResult.ResultType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getResultType()">getResultType</a></strong>()</code>
<div class="block">Returns the type of result.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getSkippedTestCount()">getSkippedTestCount</a></strong>()</code>
<div class="block">Returns the number of skipped atomic tests executed for this test.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getStartTime()">getStartTime</a></strong>()</code>
<div class="block">Returns the time when this test started execution.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getSuccessfulTestCount()">getSuccessfulTestCount</a></strong>()</code>
<div class="block">Returns the number of successful atomic tests executed for this test.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/testing/TestResult.html#getTestCount()">getTestCount</a></strong>()</code>
<div class="block">Returns the total number of atomic tests executed for this test.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getResultType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResultType</h4>
<pre><a href="../../../../../org/gradle/api/tasks/testing/TestResult.ResultType.html" title="enum in org.gradle.api.tasks.testing">TestResult.ResultType</a>&nbsp;getResultType()</pre>
<div class="block">Returns the type of result.  Generally one wants it to be SUCCESS!</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The result type.</dd></dl>
</li>
</ul>
<a name="getException()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getException</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;getException()</pre>
<div class="block">If the test failed with an exception, this will be the exception.  Some test frameworks do not fail without an
 exception (JUnit), so in those cases this method will never return null.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The exception, if any, logged for this test.  If none, a null is returned.</dd></dl>
</li>
</ul>
<a name="getExceptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExceptions</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&gt;&nbsp;getExceptions()</pre>
<div class="block">If the test failed with any exceptions, this will contain the exceptions.  Some test frameworks do not fail
 without an exception (JUnit), so in those cases this method will never return an empty list.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The exceptions, if any, logged for this test.  If none, an empty list is returned.</dd></dl>
</li>
</ul>
<a name="getStartTime()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStartTime</h4>
<pre>long&nbsp;getStartTime()</pre>
<div class="block">Returns the time when this test started execution.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The start time, in milliseconds since the epoch.</dd></dl>
</li>
</ul>
<a name="getEndTime()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEndTime</h4>
<pre>long&nbsp;getEndTime()</pre>
<div class="block">Returns the time when this test completed execution.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The end t ime, in milliseconds since the epoch.</dd></dl>
</li>
</ul>
<a name="getTestCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestCount</h4>
<pre>long&nbsp;getTestCount()</pre>
<div class="block">Returns the total number of atomic tests executed for this test. This will return 1 if this test is itself an
 atomic test.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The number of tests, possibly 0</dd></dl>
</li>
</ul>
<a name="getSuccessfulTestCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuccessfulTestCount</h4>
<pre>long&nbsp;getSuccessfulTestCount()</pre>
<div class="block">Returns the number of successful atomic tests executed for this test.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The number of tests, possibly 0</dd></dl>
</li>
</ul>
<a name="getFailedTestCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFailedTestCount</h4>
<pre>long&nbsp;getFailedTestCount()</pre>
<div class="block">Returns the number of failed atomic tests executed for this test.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The number of tests, possibly 0</dd></dl>
</li>
</ul>
<a name="getSkippedTestCount()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSkippedTestCount</h4>
<pre>long&nbsp;getSkippedTestCount()</pre>
<div class="block">Returns the number of skipped atomic tests executed for this test.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The number of tests, possibly 0</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/tasks/testing/TestReport.html" title="class in org.gradle.api.tasks.testing"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/tasks/testing/TestResult.ResultType.html" title="enum in org.gradle.api.tasks.testing"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/testing/TestResult.html" target="_top">Frames</a></li>
<li><a href="TestResult.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
